Subject: RE: B19 - NT: bison not finding bison.simple
From: [email-masked] (Rick Rankin)

5 Sep 1998 02:27:13 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Geoffrey Noer" <[email-masked]>, "Ryan A. Mapes" <[email-masked]>
Cc: <[email-masked]>

Is it not reasonable to set the envionment variables BISON_HAIRY and
BISON_SIMPLE? That's what I did and it works fine. Is there a goal to
minimize/eliminate the use of environment variables?

--
Rick Rankin
[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Geoffrey Noer
> Sent: Wednesday, September 02, 1998 2:33 PM
> To: Ryan A. Mapes
> Cc: [email-masked]
> Subject: Re: B19 - NT: bison not finding bison.simple
>
>
> On Tue, Sep 01, 1998 at 03:56:23PM -0700, Ryan A. Mapes wrote:
> >
> > Not using the default install location ... instead,
> > Cygnus install is on drive 'D:' under '/usr/local/'
> >
> > Error:
> > bash-2.01$ bison -d  splay.y
> > bison: /cygnus/b19/share/bison.simple: No such file or directory
> >
> > Work around:
> > - copy bison.simple to expected location on c:\ drive
> > (create directory  /cygnus/b19/share/bison.simple)
>
> If someone wanted to volunteer and submit a patch to make bison look
> for the share directory via a relative path instead of the precompiled
> one, I'd appreciate it.  :-)
>
> We've recently done a fair amount of work to make gcc work without
> GCC_EXEC_PREFIX.  Something similar needs to happen for bison although
> I suspect it'll be much easier in this case...
>
> --
> Geoffrey Noer
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".